import request from '@/utils/request'

// 工程监理--监理通知单列表
export function apiSupervisionNoticeLists(params: any) {
    return request.get({ url: '/supervision_work.supervision_notice/lists', params })
}

// 添加工程监理--监理通知单
export function apiSupervisionNoticeAdd(params: any) {
    return request.post({ url: '/supervision_work.supervision_notice/add', params })
}

// 编辑工程监理--监理通知单
export function apiSupervisionNoticeEdit(params: any) {
    return request.post({ url: '/supervision_work.supervision_notice/edit', params })
}

// 删除工程监理--监理通知单
export function apiSupervisionNoticeDelete(params: any) {
    return request.post({ url: '/supervision_work.supervision_notice/delete', params })
}

// 工程监理--监理通知单详情
export function apiSupervisionNoticeDetail(params: any) {
    return request.get({ url: '/supervision_work.supervision_notice/detail', params })
}

// 工程监理--监理通知单详情
export function apisupervision_notice_problem(params: any) {
    return request.get({ url: '/supervision_work.supervision_notice_problem/lists', params })
}

// 工程监理--监理通知单详情
export function apisupervision_notice_problem_delete(params: any) {
    return request.post({ url: '/supervision_work.supervision_notice_problem/delete', params })
}

// 工程监理--监理通知单详情
export function apisupervision_notice_problem_reply(params: any) {
    return request.post({ url: '/supervision_work.supervision_notice/reply', params })
}
